package cn.iocoder.yudao.module.mes.controller.admin.itemrequisition.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum ItemRequisitionStatusEnum {

    草稿(1),
    下达(2),
    下料(3),
    完成(4);

    private final int value;

    // 一个可选的方法，用于根据整数值获取对应的枚举实例
    public static ItemRequisitionStatusEnum fromValue(int value) {
        for (ItemRequisitionStatusEnum status : ItemRequisitionStatusEnum.values()) {
            if (status.getValue() == value) {
                return status;
            }
        }
        throw new IllegalArgumentException("Unknown value: " + value);
    }
}